Subject: Re: [RFC+PATCH 1/1] Move SCM interoperability tools into scm/

From: Ryan Anderson <[email-masked]>
Date: Sun, 9 Jul 2006 15:23:09 -0700

On Mon, Jul 10, 2006 at 12:13:26AM +0200, Petr Baudis wrote:
> Dear diary, on Sun, Jul 09, 2006 at 11:26:59PM CEST, I got a letter
> where Martin Langhoff <[email-masked]> said that...
> > So I have to ask... what are the expected benefits of the move?
> 
> I've been meaning to do something like this for some time already; my
> itch have been the builtins. The tree size _is_ getting out of hand and
> a little more categorization of the sources would certainly help.

That's what I was thinking, as well, basically.  I started with the "scm
interop" tools because they should be the least controversial to move
around.

> Although I'd take a different approach:
> 
> 	libgit/
> 	builtin/
> 	standalone/
> 	scripts/
> 
> > In any case, use /interop instead. /scm in the tree of an SCM could be
> > anything ;-)
> 
> I agree on this point.

Very good point.

So these seem obvious to me:
	libgit/ (maybe just lib/?)
	builtin/
	interop/

I'm less sure of the rest, but I'll poke at doing the above for the
moment, and worry about the rest later.

Comments on a way to make the Makefile less repetitive would be
appreciated, though.

-- 

Ryan Anderson
  sometimes Pug Majere